---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem07t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x25E0, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51F50, symBinAddr: 0x8280, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53E90, symBinAddr: 0xA1C0, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54280, symBinAddr: 0xA5B0, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55220, symBinAddr: 0xB550, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55230, symBinAddr: 0xB560, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51B30, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51B34, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51B38, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51C80, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51D38, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x51D3C, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51D40, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51D44, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51D48, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51D50, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51D60, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51D68, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51D70, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51D78, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51D80, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51D88, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x51DD0, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51E70, symBinAddr: 0x8260, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x51E78, symBinAddr: 0x8268, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x51E80, symBinAddr: 0x8270, symSize: 0x0 }
  - { offsetInCU: 0x9585, offset: 0x9585, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1260, symSize: 0x80 }
  - { offsetInCU: 0x961A, offset: 0x961A, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x11B0, symSize: 0xB0 }
  - { offsetInCU: 0x9675, offset: 0x9675, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x10B0, symSize: 0x100 }
  - { offsetInCU: 0x9908, offset: 0x9908, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x12E0, symSize: 0xC0 }
  - { offsetInCU: 0x995A, offset: 0x995A, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x13A0, symSize: 0x220 }
  - { offsetInCU: 0x9B3F, offset: 0x9B3F, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x15C0, symSize: 0xA0 }
  - { offsetInCU: 0x9BF2, offset: 0x9BF2, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1660, symSize: 0x110 }
  - { offsetInCU: 0x9CE8, offset: 0x9CE8, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1770, symSize: 0x150 }
  - { offsetInCU: 0x9E65, offset: 0x9E65, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x18C0, symSize: 0x30 }
  - { offsetInCU: 0x9F26, offset: 0x9F26, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x18F0, symSize: 0x150 }
  - { offsetInCU: 0xA11E, offset: 0xA11E, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1A40, symSize: 0x160 }
  - { offsetInCU: 0xA3DE, offset: 0xA3DE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1BA0, symSize: 0x4A0 }
  - { offsetInCU: 0xA651, offset: 0xA651, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2040, symSize: 0x1B0 }
  - { offsetInCU: 0xA86C, offset: 0xA86C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x21F0, symSize: 0xA0 }
  - { offsetInCU: 0xA93B, offset: 0xA93B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2290, symSize: 0x20 }
  - { offsetInCU: 0xA972, offset: 0xA972, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x22B0, symSize: 0x20 }
  - { offsetInCU: 0xA9A9, offset: 0xA9A9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x22D0, symSize: 0x20 }
  - { offsetInCU: 0xAB18, offset: 0xAB18, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x22F0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE34, offset: 0xAE34, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2490, symSize: 0x150 }
  - { offsetInCU: 0xAFF1, offset: 0xAFF1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2880, symSize: 0x1D0 }
  - { offsetInCU: 0xB2ED, offset: 0xB2ED, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2A50, symSize: 0x80 }
  - { offsetInCU: 0xB3B6, offset: 0xB3B6, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2AD0, symSize: 0x6C0 }
  - { offsetInCU: 0xBF2C, offset: 0xBF2C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA890, symBinAddr: 0x4AA0, symSize: 0xB0 }
  - { offsetInCU: 0xBFA3, offset: 0xBFA3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x3190, symSize: 0x70 }
  - { offsetInCU: 0xC03F, offset: 0xC03F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3200, symSize: 0xA0 }
  - { offsetInCU: 0xC16A, offset: 0xC16A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_showPossessedCapabilities, symObjAddr: 0x5890, symBinAddr: 0x32A0, symSize: 0x740 }
  - { offsetInCU: 0xC53B, offset: 0xC53B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x39E0, symSize: 0x40 }
  - { offsetInCU: 0xC631, offset: 0xC631, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3A20, symSize: 0x2B0 }
  - { offsetInCU: 0xC9D7, offset: 0xC9D7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3CD0, symSize: 0xC0 }
  - { offsetInCU: 0xCB1D, offset: 0xCB1D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3D90, symSize: 0x10 }
  - { offsetInCU: 0xCBDF, offset: 0xCBDF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3DA0, symSize: 0x240 }
  - { offsetInCU: 0xCEC8, offset: 0xCEC8, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3FE0, symSize: 0x10 }
  - { offsetInCU: 0xCF25, offset: 0xCF25, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3FF0, symSize: 0x420 }
  - { offsetInCU: 0xD2B1, offset: 0xD2B1, size: 0x8, addend: 0x0, symName: _enableOptionalEvents, symObjAddr: 0xA590, symBinAddr: 0x4850, symSize: 0x150 }
  - { offsetInCU: 0xD41F, offset: 0xD41F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA140, symBinAddr: 0x4410, symSize: 0x10 }
  - { offsetInCU: 0xD49A, offset: 0xD49A, size: 0x8, addend: 0x0, symName: _showEventStatistics, symObjAddr: 0xA150, symBinAddr: 0x4420, symSize: 0xD0 }
  - { offsetInCU: 0xD554, offset: 0xD554, size: 0x8, addend: 0x0, symName: _changeCount, symObjAddr: 0xA220, symBinAddr: 0x44F0, symSize: 0x140 }
  - { offsetInCU: 0xD68C, offset: 0xD68C, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xA360, symBinAddr: 0x4630, symSize: 0x30 }
  - { offsetInCU: 0xD6EB, offset: 0xD6EB, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xA390, symBinAddr: 0x4660, symSize: 0xC0 }
  - { offsetInCU: 0xD7DA, offset: 0xD7DA, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xA450, symBinAddr: 0x4720, symSize: 0x10 }
  - { offsetInCU: 0xD85C, offset: 0xD85C, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xA460, symBinAddr: 0x4730, symSize: 0x10 }
  - { offsetInCU: 0xD8C8, offset: 0xD8C8, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xA470, symBinAddr: 0x4740, symSize: 0x10 }
  - { offsetInCU: 0xD929, offset: 0xD929, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xA480, symBinAddr: 0x4750, symSize: 0x10 }
  - { offsetInCU: 0xD98A, offset: 0xD98A, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xA490, symBinAddr: 0x4760, symSize: 0x10 }
  - { offsetInCU: 0xD9EB, offset: 0xD9EB, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xA4A0, symBinAddr: 0x4770, symSize: 0x10 }
  - { offsetInCU: 0xDA6D, offset: 0xDA6D, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xA4B0, symBinAddr: 0x4780, symSize: 0x10 }
  - { offsetInCU: 0xDB05, offset: 0xDB05, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xA4C0, symBinAddr: 0x4790, symSize: 0x10 }
  - { offsetInCU: 0xDB5B, offset: 0xDB5B, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xA4D0, symBinAddr: 0x47A0, symSize: 0x10 }
  - { offsetInCU: 0xDBC7, offset: 0xDBC7, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xA4E0, symBinAddr: 0x47B0, symSize: 0x10 }
  - { offsetInCU: 0xDC33, offset: 0xDC33, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xA4F0, symBinAddr: 0x47C0, symSize: 0x10 }
  - { offsetInCU: 0xDCAA, offset: 0xDCAA, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xA510, symBinAddr: 0x47D0, symSize: 0x10 }
  - { offsetInCU: 0xDD0B, offset: 0xDD0B, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xA520, symBinAddr: 0x47E0, symSize: 0x10 }
  - { offsetInCU: 0xDD6C, offset: 0xDD6C, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xA530, symBinAddr: 0x47F0, symSize: 0x10 }
  - { offsetInCU: 0xDDC2, offset: 0xDDC2, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xA540, symBinAddr: 0x4800, symSize: 0x10 }
  - { offsetInCU: 0xDE18, offset: 0xDE18, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xA550, symBinAddr: 0x4810, symSize: 0x10 }
  - { offsetInCU: 0xDE4D, offset: 0xDE4D, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xA560, symBinAddr: 0x4820, symSize: 0x10 }
  - { offsetInCU: 0xDE82, offset: 0xDE82, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xA570, symBinAddr: 0x4830, symSize: 0x10 }
  - { offsetInCU: 0xDEC2, offset: 0xDEC2, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xA580, symBinAddr: 0x4840, symSize: 0x10 }
  - { offsetInCU: 0xDF78, offset: 0xDF78, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA790, symBinAddr: 0x49A0, symSize: 0x100 }
  - { offsetInCU: 0xE06B, offset: 0xE06B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA940, symBinAddr: 0x4B50, symSize: 0x36A }
...
